[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrToInt64Def

Convert a string to an Int64 value, with a default value

## Declaration

Source position: sysstrh.inc line 146

`function StrToInt64Def(`
`const S: string;`
`Default: Int64`
`):Int64;`

## Description

StrToInt64Def tries to convert the string S to a Int64 value, and returns this value. If the conversion fails for some reason, the value Default is returned instead.

## Errors

None. On error, the Default value is returned.

## See also

StrToInt64 |  | Convert a string to an Int64 value.
TryStrToInt64 |  | Try to convert a string to an int64 value, and report on success.
StrToInt |  | Convert a string to an integer value.
TryStrToInt |  | Try to convert a string to an integer, and report on success.
StrToIntDef |  | Convert a string to an integer value, with a default value.